#part of the Torpedo Guide

import App

def Create(pTorp):
	kCoreColor = App.TGColorA()
	kCoreColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 255.0 / 255.0, 1.000000)
	kGlowColor = App.TGColorA()
	kGlowColor.SetRGBA(255.0 / 255.0, 128.0 / 255.0, 0.0 / 255.0, 1.000000)
	kFlareColor = App.TGColorA()
	kFlareColor.SetRGBA(255.0 / 255.0, 255.0 / 255.0, 0.0 / 255.0, 1.000000)	

	pTorp.CreateTorpedoModel(
					"data/Textures/Tactical/QuasarFX.tga",
					kCoreColor, 
					0.5,
					2.0,	 
					"data/Textures/Tactical/wave.tga", 
					kGlowColor,
					0.5,	
					0.2,	 
					2.0,	
					"data/Textures/Tactical/MegaPhaserFX.tga",
					kFlareColor,										
					42,		
					1.25,		
					1.0)

	pTorp.SetDamage( GetDamage() )
	pTorp.SetDamageRadiusFactor(0.25)
	pTorp.SetGuidanceLifetime( GetGuidanceLifetime() )
	pTorp.SetMaxAngularAccel( GetMaxAngularAccel() )

	# Multiplayer specific stuff.  Please, if you create a new torp
	# type. modify the SpeciesToTorp.py file to add the new type.
	import Multiplayer.SpeciesToTorp
	pTorp.SetNetType (Multiplayer.SpeciesToTorp.PHOTON)

	return(0)

def GetLaunchSpeed():
	return(5.0)

def GetLaunchSound():
	return("Positron Torpedo")

def GetPowerCost():
	return(500.0)

def GetName():
	return("Quasar Bomb")

def GetDamage():
	return 30000.0

def GetGuidanceLifetime():
	return 120.0

def GetMaxAngularAccel():
	return 0.25
